# -*- coding: utf-8 -*-
"""
Praktikum 9, Ülesanne 4:

Lae kursuse kodulehelt alla moodul L9_Ul4. Ava moodul integreeritud arenduskesk-
konna tarkvaras. Silu kood. Mis on valesti? Mitu erisust või viga on võimalik 
leida. Mis erisus või erisused tõstatuvad?

Vastus: Viga `TabError`, vigase või vigased koodiread leia ise.
"""

def solve_quadratic(a, b, c):
    # Calculate the discriminant
    D = b**2 - 4*a*c

    # Initialize the solutions
    if D > 0:
        # Two real solutions
        x1 = (-b + D**0.5) / (2 * a)
        x2 = (-b - D**0.5) / (2 * a)
    elif D == 0:
        # One real solution
        x1 = x2 = -b / (2 * a)
    else:
        # Complex solutions
		real_part = -b / (2 * a)
        imaginary_part = (-D**0.5) / (2 * a)
        x1 = (real_part, imaginary_part)
        x2 = (real_part, -imaginary_part)

    return x1, x2

# Example usage
a, b, c = -1, 2, 3
solutions = solve_quadratic(a, b, c)
print(f"The solutions are: x1 = {solutions[0]}, x2 = {solutions[1]}")
